// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/util/Clock.h 996 2018-10-31 12:04:19Z depa $
#pragma once

#include "tiptilt_ctrl/bcu/util/ClockPtr.h"

#include <Nice/Time.h>


namespace Sharknir { namespace util {

/**
 * @brief This pure abstract base class returns the current date.
 */
class Clock
{
public:
    virtual Nice::Date getCurrentDate()= 0;
    virtual ~Clock()= 0;
};

}
}

